import ray
import os
import requests
import time

ray.init()

@ray.remote
class Counter:
    def __init__(self):
        # Used to verify runtimeEnv
        self.name = os.getenv("counter_name")
        assert self.name == "test_counter"
        self.counter = 0

    def inc(self):
        self.counter += 1

    def get_counter(self):
        return "{} got {}".format(self.name, self.counter)

counter = Counter.remote()

for _ in range(30):
    ray.get(counter.inc.remote())
    print(ray.get(counter.get_counter.remote()))
    time.sleep(1)

# Verify that the correct runtime env was used for the job.
assert requests.__version__ == "2.26.0"